# Generated from solidus-returnly-0.13.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name solidus-returnly

Name: rubygem-%{gem_name}
Version: 0.13.1
Release: 1%{?dist}
Summary: Returnly integration with Solidus
License: MIT
URL: https://github.com/returnly/solidus-returnly
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(awesome_print)
# BuildRequires: rubygem(byebug)
# BuildRequires: rubygem(capybara)
# BuildRequires: rubygem(coffee-rails)
# BuildRequires: rubygem(database_cleaner)
# BuildRequires: rubygem(erubis)
# BuildRequires: rubygem(factory_girl)
# BuildRequires: rubygem(ffaker)
# BuildRequires: rubygem(minitest)
# BuildRequires: rubygem(poltergeist)
# BuildRequires: rubygem(rails)
# BuildRequires: rubygem(rspec-rails)
# BuildRequires: rubygem(rubocop)
# BuildRequires: rubygem(rubocop-rspec)
# BuildRequires: rubygem(sass-rails)
# BuildRequires: rubygem(simplecov)
# BuildRequires: rubygem(solidus_auth_devise)
# BuildRequires: rubygem(sqlite3)
# BuildRequires: rubygem(versioncake)
# BuildRequires: rubygem(with_model)
# BuildRequires: rubygem(yard)
# BuildRequires: rubygem(pry)
BuildArch: noarch

%description
Solidus API extensions for returnly.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE
%{gem_instdir}/app
%{gem_instdir}/config
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile

%changelog
* Wed Aug 25 2021 mockbuilder - 0.13.1-1
- Initial package
